# ScalaCompileOptions

API Documentation: | `ScalaCompileOptions`

Options for Scala compilation.

### Properties

Property | Description
`additionalParameters` | Additional parameters passed to the compiler. Each parameter must start with '-'.
`daemonServer` | Server (host:port) on which the compile daemon is running. The host must share disk access with the client process. If not specified, launches the daemon on the localhost. This parameter can only be specified if useCompileDaemon is true.
`debugLevel` | Generate debugging information. Legal values: none, source, line, vars, notailcalls
`deprecation` | Generate deprecation information.
`encoding` | Encoding of source files.
`failOnError` | Fail the build on compilation errors.
`force` | Whether to force the compilation of all files. Legal values: - never (only compile modified files) - changed (compile all files when at least one file is modified) - always (always recompile all files)
`listFiles` | List files to be compiled.
`loggingLevel` | Specifies the amount of logging. Legal values: none, verbose, debug
`loggingPhases` | Phases of the compiler to log. Legal values: namer, typer, pickler, uncurry, tailcalls, transmatch, explicitouter, erasure, lambdalift, flatten, constructors, mixin, icode, jvm, terminal.
`optimize` | Run optimizations.
`targetCompatibility` | Deprecated Returns which backend is to be used.
`unchecked` | Generate unchecked information.
`useCompileDaemon` | Whether to use the fsc compile daemon.

### Property details

#### ``List`<`String`>` `additionalParameters`

Additional parameters passed to the compiler. Each parameter must start with '-'.

Default:
  `null`

#### `String` `daemonServer`

Server (host:port) on which the compile daemon is running. The host must share disk access with the client process. If not specified, launches the daemon on the localhost. This parameter can only be specified if useCompileDaemon is true.

Default:
  `null`

#### `String` `debugLevel`

Generate debugging information. Legal values: none, source, line, vars, notailcalls

Default:
  `null`

#### `boolean` `deprecation`

Generate deprecation information.

Default:
  `true`

#### `String` `encoding`

Encoding of source files.

Default:
  `null`

#### `boolean` `failOnError`

Fail the build on compilation errors.

Default:
  `true`

#### `String` `force`

Whether to force the compilation of all files. Legal values: - never (only compile modified files) - changed (compile all files when at least one file is modified) - always (always recompile all files)

Default:
  `never`

#### `boolean` `listFiles`

List files to be compiled.

Default:
  `false`

#### `String` `loggingLevel`

Specifies the amount of logging. Legal values: none, verbose, debug

Default:
  `null`

#### ``List`<`String`>` `loggingPhases`

Phases of the compiler to log. Legal values: namer, typer, pickler, uncurry, tailcalls, transmatch, explicitouter, erasure, lambdalift, flatten, constructors, mixin, icode, jvm, terminal.

Default:
  `null`

#### `boolean` `optimize`

Run optimizations.

Default:
  `false`

#### `String` `targetCompatibility`

Note: This property is deprecated and will be removed in the next major version of Gradle.

Returns which backend is to be used.

Default:
  `1.5`

#### `boolean` `unchecked`

Generate unchecked information.

Default:
  `true`

#### `boolean` `useCompileDaemon`

Whether to use the fsc compile daemon.

Default:
  `false`

### Script blocks

No script blocks

### Methods

No methods